17v5klq2xrd1ojpg

Sí, la insoportable levedad de la obsolescencia o el continuo déjà vu. Porque Youtube ha actualizado la API de su servicio y… los los dispositivos sin soporte se quedaran sin la aplicación de Youtube.

Y lo llamo déjà vu porque esto ya lo hemos vivido: el escándalo Whatsapp.

Al igual que paso hace tiempo, con el paso de iOS3 a iOS4 dejando olvidados los iPhone 3G (esos que se vendían hasta con las cajas de galletas y que todo el mundo tenia), al actualizar Whatsapp su servicio/aplicación se elimino el soporte para los viejos iPhone 3G.

Que mala fue Whatsapp, pero que mala con esa mala jugada que no permitía a esos millones de personas que tenían un iPhone 3G actualizarse a la ultima versión y no que mala Apple que dejo de dar soporte a las aplicaciones que corrían sobre esos dispositivos (el resto no importaba, solo Whatsapp, recordad).

Pues ahora, ha pasado lo mismo con Google y Youtube y volvemos a tener los mismos comentarios. Apple ha dejado de dar soporte a los sistemas viejos (vamos no se actualiza) y no permite «compilar» la aplicación para dichos dispositivos. Vamos que aunque no es exactamente lo mismo que paso con Whatsapp es similar.

Google ha cambiado su API de Youtube por diversas razones que no entran a cuento (mejorar el sistema, porque les da la gana, porque ayudan a los programadores, porque añaden nuevas cosas…) puede compilar su aplicación para iOS7, iOS8 e iOS9 (los sistemas que, sorpresa, no incluyen su antigua aplicación de serie), pero, aquellos sistemas (y por ende equipos) que tenían dicha aplicación incluida no se va a actualizar, con lo que dejaran estar inoperativos.

iPhones, iPads y AppleTV son los dispositivos afectados, los viejos, no los nuevos, por supuesto. Los nuevos nunca les pasa nada.

En algunos de ellos tenéis solución para ver vuestros videos favoritos, abrir el navegador ya que Youtube soporta HTML5 (de hecho la aplicación, el porque de ella, era para poder ver los videos en lo que hacían el traspaso del «odiado» Flash a H264/html5). Pero aquellos dispositivos que no tienen navegador (el AppleTV, principalmente) estáis jodidos.

Mientras si usarais otra plataforma encontraríais un binario que funcione (vamos un box de Android barato o hasta en Windows Phone -ahora que ando con el, para que negarlo-), en Apple ya sabéis como funciona el asunto: a comprar uno nuevo.

Y no es que sea mucho dinero (depende para quien) pero tacita a tacita… Apple se llena la boquita (se que no es así, pero rima y me da igual).

Yo, desde aquí, espero que a esos defensores anti «obsolescencia» que te sueltan como si les sobrara, con esa condescendencia de un #cuñado sobrado que todo lo sabe porque tu eres… gilipollas… les este pasando esto para espetarles en la cara que «aun pueden usar el navegador».

Y más aun, esperar cuando se termine «la migración a los 64 bits» como su dispositivo de 32 bits deja de ser soportado (suena y resuena que en esta WWDC veremos el cambio y la obligación de todo 64 bits por el bien de la causa -¿que causa? la del dinero para Apple-) les pase exactamente lo mismo con su maravilloso telefono que, aun sirve para llamar, por supuesto… que para eso se lo compraron, ¿no?.

Dudo mucho, desde aquí, que aunque les pase esto les entre el gusanillo de la empatía y ponerse en el lado del que ha tenido este problema. El #cuñado español (y mundial, que coño) no tiene esos problemas, no puede reconocer que se la han metido doblada o que esta en el bando perdedor. Desde aquí se que se comprara un dispositivo nuevo y cantara las bondades de este como alabanzas a un dios. Pero de la gran vorágine de elementos, alguno (o todos, quien sabe) tendrán esa pequeña espinita clavada dentro… y la espinita, a base de estar y revolver, al final te hace herida. Porque, aunque no lo creáis, llevo ya muchos en los blogs manzaniles, viendo como han empezado y como han cambiado de opinión pasando entre las fases conocidas por todos.

Vía: Comentarios de cualquier blog